import { OnInit, AfterViewInit, ElementRef, OnDestroy } from '@angular/core';
import { FormBuilder, FormGroup, FormControl } from '@angular/forms';
import { AgTableColComponent } from '../ag-table-col/ag-table-col.component';
import { Helper } from '../services/helper';
import * as i0 from "@angular/core";
export declare class AgTableHeaderComponent implements OnInit, OnDestroy, AfterViewInit {
    elRef: ElementRef<HTMLElement>;
    private helper;
    private fb;
    class: boolean;
    private queryCols;
    get cols(): AgTableColComponent[];
    get height(): string;
    get visible(): boolean;
    set visible(value: boolean);
    parent: any;
    dictionary: {
        TITULO: {
            ptBR: string;
        };
    };
    frmFilter: FormGroup;
    colSorting: {
        col: AgTableColComponent;
        asc: boolean;
    };
    get filterCtrls(): {
        [key: string]: FormControl;
    };
    get el(): HTMLElement;
    constructor(elRef: ElementRef<HTMLElement>, helper: Helper, fb: FormBuilder);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    private makeForm;
    enableForm(): void;
    private checkFilterStatus;
    private checkDefaultValue;
    onRender(parent: any): void;
    configureChildrens(): void;
    getColByField(field: string): AgTableColComponent;
    getColFilterModeByField(field: string): any;
    getFormDataModel(): {};
    onBodyWidthChange(currentWidth: string): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AgTableHeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AgTableHeaderComponent, "ag-table-header", never, {}, {}, ["queryCols"], ["*"]>;
}
