import { OnInit, EventEmitter, OnChanges, SimpleChanges, ElementRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class AgTablePaginateComponent implements OnInit, OnChanges {
    private elRef;
    class: boolean;
    length: number;
    current: number;
    disabled: boolean;
    loading: boolean;
    objCaption: {
        start: number;
        end: number;
        total: number;
    };
    change: EventEmitter<number>;
    dictionary: {
        TOTAL_CAPTION: {
            ptBR: string;
            enUS: string;
        };
        WITHOUT_TOTAL_CAPTION: {
            ptBR: string;
            enUS: string;
        };
    };
    parent: any;
    caption: string;
    pages: any[];
    get el(): HTMLElement;
    constructor(elRef: ElementRef<HTMLElement>);
    ngOnInit(): void;
    onRender(parent: any): void;
    ngOnChanges(changes: SimpleChanges): void;
    pageClick(page: number | string): void;
    generate(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AgTablePaginateComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AgTablePaginateComponent, "ag-table-paginate", never, { "length": "length"; "current": "current"; "disabled": "disabled"; "loading": "loading"; "objCaption": "objCaption"; }, { "change": "change"; }, never, never>;
}
